Subject: OIDs (was: [ldapext] Object class for untyped object)

From: "Kurt D. Zeilenga" <[email-masked]>
Date: Mon, 31 May 2004 10:31:07 -0700

At 09:22 AM 5/31/2004, Hallvard B Furuseth wrote:
>I wrote:
>
>> Finally, I'm not sure if the proper way to get an OID for such an object
>> class is to use our own OID space or to get one from IANA.  BCP64
>> (RFC3383) section 3.1 says
>> 
>>    For IETF developed elements, specifications SHOULD use OIDs under
>>    "Internet Directory Numbers" (1.3.6.1.1.x).
>
>Um.  Maybe I should add that the reason I think this might apply at all
>is because I'll be develop it through Internet-Drafts in order to become
>an RFC, not just to publish an already existing schema element.

A couple of notes regarding this BCP 64 text...

First note that text says "For IETF developed elements" as opposed
to "elements described in IETF documents".  This because IETF
documents often describe elements developed by others (e.g.,
other SDOs, individuals).  Second note that IETF work can be done
by individuals as well as by working groups.

That said, I don't think this sentence was intended to exclude
others from requesting assignment of an Internet Directory
Number for use in an LDAP specification.  This is evident
because the assignment practice is "Expert Review
with Specification Required" and not "IETF Consensus". 
A simple rewording/reordering of the section would likely be
more clear here.  I intend to incorporate such a change in
the next revision of the BCP64bis I-D.

Kurt